config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/asound.conf.new
( cd usr/lib64 ; rm -rf libasound.so )
( cd usr/lib64 ; ln -sf libasound.so.2.0.0 libasound.so )
( cd usr/lib64 ; rm -rf libasound.so.2 )
( cd usr/lib64 ; ln -sf libasound.so.2.0.0 libasound.so.2 )
( cd usr/lib64 ; rm -rf libatopology.so )
( cd usr/lib64 ; ln -sf libatopology.so.2.0.0 libatopology.so )
( cd usr/lib64 ; rm -rf libatopology.so.2 )
( cd usr/lib64 ; ln -sf libatopology.so.2.0.0 libatopology.so.2 )
( cd usr/share/alsa/ucm2/HDA-Intel ; rm -rf HDAudio-Gigabyte-ALC1220DualCodecs.conf )
( cd usr/share/alsa/ucm2/HDA-Intel ; ln -sf HDAudio-DualCodecs.conf HDAudio-Gigabyte-ALC1220DualCodecs.conf )
( cd usr/share/alsa/ucm2/HDA-Intel ; rm -rf HDAudio-Lenovo-DualCodecs.conf )
( cd usr/share/alsa/ucm2/HDA-Intel ; ln -sf HDAudio-DualCodecs.conf HDAudio-Lenovo-DualCodecs.conf )
( cd usr/share/alsa/ucm2/module ; rm -rf snd_acp3x_rn.conf )
( cd usr/share/alsa/ucm2/module ; ln -sf lib/linked.conf snd_acp3x_rn.conf )
( cd usr/share/alsa/ucm2/module ; rm -rf snd_soc_apq8016_sbc.conf )
( cd usr/share/alsa/ucm2/module ; ln -sf ../Qualcomm/apq8016-sbc/apq8016-sbc.conf snd_soc_apq8016_sbc.conf )
( cd usr/share/alsa/ucm2/module ; rm -rf snd_soc_apq8096.conf )
( cd usr/share/alsa/ucm2/module ; ln -sf ../Qualcomm/apq8096/apq8096.conf snd_soc_apq8096.conf )
( cd usr/share/alsa/ucm2/module ; rm -rf snd_soc_omap_abe_twl6040.conf )
( cd usr/share/alsa/ucm2/module ; ln -sf ../OMAP/abe-twl6040/abe-twl6040.conf snd_soc_omap_abe_twl6040.conf )
( cd usr/share/alsa/ucm2/module ; rm -rf snd_soc_rk3399_gru_sound.conf )
( cd usr/share/alsa/ucm2/module ; ln -sf ../Rockchip/rk3399-gru-sound/rk3399-gru-sound.conf snd_soc_rk3399_gru_sound.conf )
( cd usr/share/alsa/ucm2/module ; rm -rf snd_soc_rockchip_max98090.conf )
( cd usr/share/alsa/ucm2/module ; ln -sf ../Rockchip/max98090/max98090.conf snd_soc_rockchip_max98090.conf )
( cd usr/share/alsa/ucm2/module ; rm -rf snd_soc_sdm845.conf )
( cd usr/share/alsa/ucm2/module ; ln -sf ../Qualcomm/sdm845/sdm845.conf snd_soc_sdm845.conf )
( cd usr/share/alsa/ucm2/module ; rm -rf snd_soc_snow.conf )
( cd usr/share/alsa/ucm2/module ; ln -sf ../Samsung/snow/snow.conf snd_soc_snow.conf )
( cd usr/share/alsa/ucm2/module ; rm -rf snd_soc_tegra_alc5632.conf )
( cd usr/share/alsa/ucm2/module ; ln -sf ../Tegra/alc5632/alc5632.conf snd_soc_tegra_alc5632.conf )
( cd usr/share/alsa/ucm2/module ; rm -rf snd_soc_tegra_max98090.conf )
( cd usr/share/alsa/ucm2/module ; ln -sf ../Tegra/max98090/max98090.conf snd_soc_tegra_max98090.conf )
